Update API key
import requests
url = "https://api.pdfshift.io/v3/account/api/{key}"
payload = { "name": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.pdfshift.io/v3/account/api/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pdfshift.io/v3/account/api/{key}"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.pdfshift.io/v3/account/api/{key}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
request.AddJsonBody("{\n \"name\": \"<string>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);HttpResponse<String> response = Unirest.put("https://api.pdfshift.io/v3/account/api/{key}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();curl --request PUT \
--url https://api.pdfshift.io/v3/account/api/{key} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>"
}
'{
"success": true,
"key": {
"created": 1734076868000,
"name": "Renamed key",
"removed": null,
"token": "sk_3a1f9c2b4d5e6f708192a3b4c5d6e7f8",
"public": "9f8e7d6c5b4a3928176054f3e2d1c0b9",
"last_used": 1764753251000,
"usage": 42,
"is_master": true
}
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}{
"success": true,
"error": "<string>",
"code": 123
}API Keys
Update API key
Updates the name of an existing API key.
The {key} path parameter is the secret key (token) of the API key to update.
This endpoint only works with an API key with the master privilege.
PUT
/
account
/
api
/
{key}
Update API key
import requests
url = "https://api.pdfshift.io/v3/account/api/{key}"
payload = { "name": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.pdfshift.io/v3/account/api/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pdfshift.io/v3/account/api/{key}"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.pdfshift.io/v3/account/api/{key}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
request.AddJsonBody("{\n \"name\": \"<string>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);HttpResponse<String> response = Unirest.put("https://api.pdfshift.io/v3/account/api/{key}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();Authorizations
Path Parameters
The secret key (token) of the API key to update.
Body
application/json
A human-friendly name to identify the API key.
Maximum string length:
250⌘I